## class OSGFX_EXPORT osgFX::Registry

### Public Methods

inline static Registry* instance()
inline const Effect_map& getEffectMap() const
inline Registry* instance()
inline const Registry::Effect_map& getEffectMap() const
inline void registerEffect(const Effect* effect)

### Public Members

struct Proxy
typedef std::map<std::string, osg::ref_ptr<const Effect> > Effect_map

### Protected Methods

Registry()
~Registry()

## Documentation

`struct Proxy`

`Proxy(const Effect* effect)`

`typedef std::map<std::string, osg::ref_ptr<const Effect> > Effect_map`

`inline static Registry* instance()`

`inline const Effect_map& getEffectMap() const`

`Registry()`

`~Registry()`

`inline Registry* instance()`

`inline const Registry::Effect_map& getEffectMap() const`

`inline void registerEffect(const Effect* effect)`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.